summaryrefslogtreecommitdiff
path: root/dev-python/pipenv
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/pipenv
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/pipenv')
-rw-r--r--dev-python/pipenv/Manifest2
-rw-r--r--dev-python/pipenv/files/pipenv-2020.4.1_beta1-disable-networked-tests.patch41
-rw-r--r--dev-python/pipenv/metadata.xml13
-rw-r--r--dev-python/pipenv/pipenv-2018.11.26.ebuild41
-rw-r--r--dev-python/pipenv/pipenv-2020.4.1_beta1.ebuild46
5 files changed, 143 insertions, 0 deletions
diff --git a/dev-python/pipenv/Manifest b/dev-python/pipenv/Manifest
new file mode 100644
index 000000000000..cf530a16f7e7
--- /dev/null
+++ b/dev-python/pipenv/Manifest
@@ -0,0 +1,2 @@
+DIST pipenv-2018.11.26.tar.gz 6560580 BLAKE2B a3846de696733b5f3f393163999d7f333b52accdcebadfd800507defd1108ac4ccb288b39fb805ecf03e417cfe0d1a8b2fc714a95e8ee4485f8622ff8fe4a1ca SHA512 59582ad4a0730083ea58867f7a5d9714290d62947f56bec80e154d4359fe1dff16e44974a7fba3841e5f2516f2ce9709baf9954c9fc40fd66ebc46c3060d4dea
+DIST pipenv-2020.4.1_beta1.tar.gz 11331009 BLAKE2B 55ac81238b885bdf0293199ca1caf44a78f3cdbec75c9df259411b949dec8b385161e7ef46160ca099ef51041410d8c5d1274ad200eba5c2a9d06c8a5f61c5f1 SHA512 a5de90ae9910a30666ac7323ccf83b78ee11d8993aef1a2108a44f4256d365d0c1abfff72c83748ef82215914931090c670a10eeb511cb48483762b54c80e5c7
diff --git a/dev-python/pipenv/files/pipenv-2020.4.1_beta1-disable-networked-tests.patch b/dev-python/pipenv/files/pipenv-2020.4.1_beta1-disable-networked-tests.patch
new file mode 100644
index 000000000000..f3ba4ff6502f
--- /dev/null
+++ b/dev-python/pipenv/files/pipenv-2020.4.1_beta1-disable-networked-tests.patch
@@ -0,0 +1,41 @@
+From 7cf8c7ee7eaba1b5a11562a7ef656b0606383fe8 Mon Sep 17 00:00:00 2001
+From: Oz Tiram <oz.tiram@gmail.com>
+Date: Mon, 4 May 2020 21:52:09 +0000
+Subject: [PATCH] Disable test cases that requires network
+
+---
+ tests/unit/test_utils.py | 11 +----------
+ 1 file changed, 1 insertion(+), 10 deletions(-)
+
+diff --git a/tests/unit/test_utils.py b/tests/unit/test_utils.py
+index 4b9cd75c..1c73964b 100644
+--- a/tests/unit/test_utils.py
++++ b/tests/unit/test_utils.py
+@@ -47,16 +47,6 @@ DEP_PIP_PAIRS = [
+ },
+ "-e svn+svn://svn.myproject.org/svn/MyProject#egg=MyProject",
+ ),
+- (
+- # Extras in url
+- {
+- "discord.py": {
+- "file": "https://github.com/Rapptz/discord.py/archive/async.zip",
+- "extras": ["voice"],
+- }
+- },
+- "https://github.com/Rapptz/discord.py/archive/async.zip#egg=discord.py[voice]",
+- ),
+ (
+ {
+ "requests": {
+@@ -222,6 +212,7 @@ class TestUtils:
+ assert pipenv.utils.is_valid_url(url)
+ assert pipenv.utils.is_valid_url(not_url) is False
+
++ @pytest.mark.skip("Network required. Gentoo tests run in a sendbox without network")
+ @pytest.mark.utils
+ def test_download_file(self):
+ url = "https://github.com/pypa/pipenv/blob/master/README.md"
+--
+2.26.2
+
diff --git a/dev-python/pipenv/metadata.xml b/dev-python/pipenv/metadata.xml
new file mode 100644
index 000000000000..f1fa3c532cf9
--- /dev/null
+++ b/dev-python/pipenv/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <!--maintainer-needed-->
+ <upstream>
+ <remote-id type="pypi">pipenv</remote-id>
+ <maintainer status="unknown">
+ <email>me@kennethreitz.org</email>
+ <name>Kenneth Reitz</name>
+ </maintainer>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/pipenv/pipenv-2018.11.26.ebuild b/dev-python/pipenv/pipenv-2018.11.26.ebuild
new file mode 100644
index 000000000000..9e1ef31da4a4
--- /dev/null
+++ b/dev-python/pipenv/pipenv-2018.11.26.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python Development Workflow for Humans"
+HOMEPAGE="https://github.com/pypa/pipenv https://pypi.org/project/pipenv/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-clone-0.2.5[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/pip-9.0.1[${PYTHON_USEDEP}]
+ >dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.21.1[${PYTHON_USEDEP}]
+ "
+DEPEND="
+ >=dev-python/parver-0.2[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )"
+
+# not completely packed
+# requires networking
+RESTRICT="test"
+
+python_test() {
+ py.test -v -v || die
+}
diff --git a/dev-python/pipenv/pipenv-2020.4.1_beta1.ebuild b/dev-python/pipenv/pipenv-2020.4.1_beta1.ebuild
new file mode 100644
index 000000000000..8182443641be
--- /dev/null
+++ b/dev-python/pipenv/pipenv-2020.4.1_beta1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+MY_PV=${PV/_beta/b}
+DESCRIPTION="Python Development Workflow for Humans"
+HOMEPAGE="https://github.com/pypa/pipenv https://pypi.org/project/pipenv/"
+SRC_URI="https://github.com/pypa/pipenv/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/pip-18.0[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-clone-0.2.5[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-36.2.1[${PYTHON_USEDEP}]"
+DEPEND="test? (
+ ${RDEPEND}
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ <dev-python/pytest-5[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )"
+
+RESTRICT="!test? ( test )"
+
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2020.4.1_beta1-disable-networked-tests.patch"
+)
+
+python_test() {
+ pytest -m "not cli" -vv tests/unit || die
+}